JmolScriptManager
Date: 2019-10-22

org.jmol.api

## Interface JmolScriptManager

- All Known Implementing Classes:
    ScriptManager

      public interface JmolScriptManager

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javajs.util.BS` | `addHydrogensInline(javajs.util.BS bsAtoms, javajs.util.Lst<Atom> vConnections, javajs.util.P3[] pts)`
    `java.lang.String` | `addScript(java.lang.String strScript, boolean isQuiet)`
    `boolean` | `checkHalt(java.lang.String str, boolean isInsert)`
    `void` | `clear(boolean isAll)`
    `void` | `clearQueue()`
    `java.lang.String` | `evalFile(java.lang.String strFilename)`
    `java.lang.String` | `evalStringQuietSync(java.lang.String strScript, boolean isQuiet, boolean allowSyncScript)`
    `java.lang.Object` | `evalStringWaitStatusQueued(java.lang.String returnType, java.lang.String strScript, java.lang.String statusList, boolean isQuiet, boolean isQueued)`
    `javajs.util.BS` | `getAtomBitSetEval(JmolScriptEvaluator eval, java.lang.Object atomExpression)`
    `javajs.util.Lst<java.lang.Object>` | `getScriptItem(boolean b, boolean startedByCommandThread)`
    `javajs.util.Lst<javajs.util.Lst<java.lang.Object>>` | `getScriptQueue()`
    `boolean` | `isQueueProcessing()`
    `boolean` | `isScriptQueued()`
    `void` | `openFileAsync(java.lang.String fileName, int flags)`
    `void` | `queueThreadFinished(int pt)`
    `java.lang.Object` | `scriptCheckRet(java.lang.String strScript, boolean returnContext)`
    `JmolScriptEvaluator` | `setViewer(Viewer vwr)`
    `void` | `startCommandWatcher(boolean isStart)`
    `void` | `waitForQueue()`

- - ### Method Detail

    - #### setViewer

          JmolScriptEvaluator setViewer(Viewer vwr)

    - #### startCommandWatcher

          void startCommandWatcher(boolean isStart)

    - #### clear

          void clear(boolean isAll)

    - #### clearQueue

          void clearQueue()

    - #### isScriptQueued

          boolean isScriptQueued()

    - #### waitForQueue

          void waitForQueue()

    - #### getScriptQueue

          javajs.util.Lst<javajs.util.Lst<java.lang.Object>> getScriptQueue()

    - #### queueThreadFinished

          void queueThreadFinished(int pt)

    - #### getScriptItem

          javajs.util.Lst<java.lang.Object> getScriptItem(boolean b,
                                                          boolean startedByCommandThread)

    - #### evalStringQuietSync

          java.lang.String evalStringQuietSync(java.lang.String strScript,
                                               boolean isQuiet,
                                               boolean allowSyncScript)

    - #### evalStringWaitStatusQueued

          java.lang.Object evalStringWaitStatusQueued(java.lang.String returnType,
                                                      java.lang.String strScript,
                                                      java.lang.String statusList,
                                                      boolean isQuiet,
                                                      boolean isQueued)

    - #### addScript

          java.lang.String addScript(java.lang.String strScript,
                                     boolean isQuiet)

    - #### checkHalt

          boolean checkHalt(java.lang.String str,
                            boolean isInsert)

    - #### getAtomBitSetEval

          javajs.util.BS getAtomBitSetEval(JmolScriptEvaluator eval,
                                           java.lang.Object atomExpression)

    - #### scriptCheckRet

          java.lang.Object scriptCheckRet(java.lang.String strScript,
                                          boolean returnContext)

    - #### isQueueProcessing

          boolean isQueueProcessing()

    - #### openFileAsync

          void openFileAsync(java.lang.String fileName,
                             int flags)

    - #### evalFile

          java.lang.String evalFile(java.lang.String strFilename)

    - #### addHydrogensInline

          javajs.util.BS addHydrogensInline(javajs.util.BS bsAtoms,
                                            javajs.util.Lst<Atom> vConnections,
                                            javajs.util.P3[] pts)
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`